<?PHP
////Conexiones y tiempos de ejecución
ini_set('max_execution_time', 300);
include ("conexion/SecurityAccess.php");

////ARRASTRANDO LOS VALORES///////
		$UsuADes=$_POST['RA_Usu'] or $UsuADes=$_GET['RA_Usu'];
		
		///Hora y Fecha
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
		
		///DETECTAR CUAL FUE EL ULTIMO ACCESO DE DICHO USUARIO EN LA tabla_controlaccesos////////////
			$sql3 = "select max(ID) as ultimo_FOLIO from tabla_controlaccesos where USUARIO='$UsuADes'"; 
			$lib3 = mysql_query($sql3); 
			$rs_lib3 = mysql_fetch_assoc($lib3); 
			$id_nue3 = $rs_lib3['ultimo_FOLIO'];
			
		///MODIFICAR LA TABLA: tabla_controlaccesos //////////
			$sqlMCA=mysql_query("UPDATE tabla_controlaccesos SET F_EGRESO='$Fecha',H_EGRESO='$HoraOK' WHERE USUARIO='$UsuADes' and ID='$id_nue3'");
			///$resultadoMCA=mysql_query($sqlMCA,$conexion) or die(mysql_error());
						
		///Identificar el Nivel de Usuario para Determinar la Plataforma de Desbloqueo					
			$sql_DP = mysql_query("select * from tabla_usuarios WHERE USUARION='$UsuADes'");
			if (mysql_numrows($sql_DP)==0) echo "";
			else{
			$registro_DP=mysql_fetch_array($sql_DP);
			}
			if (mysql_numrows($sql_DP)>0)
			{
			$Tip_Plat=$registro_DP["NIVEL"];
			}			
						
		///Eliminar usuario la tabla: tabla_controlsesionesdb
			$sqlEUS= mysql_query("DELETE FROM tabla_controlsesionesdb WHERE USUARIO='$UsuADes'");
			///$resultadoEUS=mysql_query($sqlEUS,$conexion) or die(mysql_error());
				
		///ELIMINAR USUARIO LA TABLA: tabla_ubloqueados //////////		
			$sqlEUB= mysql_query("DELETE FROM tabla_ubloqueados WHERE USUARIO='$UsuADes'");
			///$resultadoEUB=mysql_query($sqlEUB,$conexion) or die(mysql_error());
		
		
		echo "<script>alert('FELICIDADES!!!\\n\\nTu usuario se ha desbloqueado correctamente. Es momento de ingresar....');</script>";
		
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=http://192.168.254.251:7921/WMS001/Dashboard'>";
				
?>